import * as i0 from "@angular/core";
export declare class StiDraggableModalWindowService {
    private _isTextEditor;
    private _isImageEditor;
    private _editorX;
    private _editorY;
    showDraggableModalWindow: boolean;
    editorWidth: number;
    editorHeight: number;
    get isTextEditor(): boolean;
    set isTextEditor(value: boolean);
    get isImageEditor(): boolean;
    set isImageEditor(value: boolean);
    get editorX(): number;
    set editorX(value: number);
    get editorY(): number;
    set editorY(value: number);
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<StiDraggableModalWindowService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<StiDraggableModalWindowService>;
}
